Namespace MimeSamples
	Public Class ContentTextBox
		Inherits System.Windows.Forms.TextBox
		' Indicates whether the message was modified.
		Private _changed As Boolean

		Public Property Changed() As Boolean
			Get
				Return _changed
			End Get
			Set(ByVal value As Boolean)
				_changed = value
			End Set
		End Property

		Protected Overrides Sub OnTextChanged(ByVal e As EventArgs)
			MyBase.OnTextChanged(e)
			_changed = True
		End Sub
	End Class
End Namespace
